<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zehong.system.mapper.DecryptMapper">

    <!--管道-->
    <resultMap type="keyInformation" id="keyInformationResult">
        <result property="keyId"    column="key_id"    />
        <result property="qybm"    column="qybm"    />
        <result property="secretKey"    column="secret_key"    />
        <result property="enterpriseId"    column="enterprise_id"    />
    </resultMap>

    <!--查询企业秘钥-->
    <select id="selectkey" resultMap="keyInformationResult">
          select * from key_information where  qybm= #{qybm} limit 0,1
    </select>
</mapper>
